cURL
curl --request GET \
--url https://api.swervpay.co/api/v1/invoices/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.swervpay.co/api/v1/invoices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swervpay.co/api/v1/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attachments": "<string>",
"categories": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"description": "<string>",
"due_date": "<string>",
"id": "<string>",
"invoice_link": "<string>",
"invoice_number": "<string>",
"is_recurring": true,
"issued_date": "<string>",
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"discount_amount": 123,
"id": "<string>",
"quantity": 123,
"tax": "<string>",
"tax_fee": 123,
"total_price": 123,
"unit_price": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"memo": "<string>",
"recurring_end_date": "<string>",
"recurring_frequency": "<string>",
"status": "<string>",
"tags": "<string>",
"title": "<string>",
"total_amount": 123,
"total_discount_amount": 123,
"total_tax_fee": 123,
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}Invoices
Get Invoice
Get invoice
GET
/
invoices
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I